"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const template_processor_1 = require("template-processor");
const HTMLElement_class_1 = require("./HTMLElement.class");
const HTMLTableSectionElement_class_1 = require("./HTMLTableSectionElement.class");
class xjs_HTMLTableElement extends HTMLElement_class_1.default {
    constructor(node) {
        super(node);
    }
    get node() { return super.node; }
    caption(caption) {
        if (arguments.length === 0)
            return this.node.caption;
        this.node.caption = caption;
        return this;
    }
    tHead(header) {
        if (arguments.length === 0)
            return this.node.tHead;
        this.node.tHead = (header instanceof HTMLTableSectionElement_class_1.default) ? header.node : header;
        return this;
    }
    tFoot(footer) {
        if (arguments.length === 0)
            return this.node.tFoot;
        this.node.tFoot = (footer instanceof HTMLTableSectionElement_class_1.default) ? footer.node : footer;
        return this;
    }
    populate(instructions, dataset, options, this_arg = this) {
        template_processor_1.Processor.populateList(this.node, instructions, dataset, options, this_arg);
        return this;
    }
}
exports.default = xjs_HTMLTableElement;
